module.exports = (node, graph) => {
  const geomIn = node.in('geomIn', null)
  const geomOut = node.out('geomOut', null)
  
  const computeEdges = require('geom-edges')
  
  geomIn.onChange = () => {
    if (!geomIn.value) return
    
    var g = {
      ...geomIn.value    
    }
    
    g.cells = computeEdges(g.cells).filter((e) => {
      var a = g.positions[e[0]]
      var b = g.positions[e[1]]
      var dx = Math.abs(a[0] - b[0])
      var dz = Math.abs(a[2] - b[2])
      return (dz > dx)
    })
    
    geomOut.setValue(g)
  }
};