module.exports = (node, graph) => {
  const canvasScreenshot = require('canvas-screenshot')
  const triggerIn = node.triggerIn('in')
  const triggerOut = node.triggerOut('out')
  
  let saveNextFrame = false
  const saveScreenshot = node.in('save screenshot', () => {
    saveNextFrame = true
    console.log('saveNextFrame', saveNextFrame)
  })
  
  triggerIn.onTrigger = (props) => {
    triggerOut.trigger(props)
    
    if (saveNextFrame) {
      saveNextFrame = false
      let date = (new Date()).toISOString()
      date = date.slice(0, 19).replace('T', ' ').replace(/:/g, '-')
      canvasScreenshot(graph.ctx.gl.canvas, {
        filename: graph.name + ' ' + date
      })
    }
  }
  
};