module.exports = (node, graph) => {
  var ctx = graph.ctx
  
  var createSphere = require('primitive-sphere')
  
  var r = node.in('r', 0.5)
  var segments = node.in('segments', 16, { min: 2, max: 64, step: 1, precision: 0 })
  
  var geometry = node.out('geometry')
  
  function update () {
    var g = createSphere(r.value, {
      segments: segments.value
    })
    geometry.setValue(g)
  }
  
  update()
  
  r.onChange = update
  segments.onChange = update
  
};